Get object descriptors related to a Flow

Retrieve descriptors (type + id) of objects related to an Agentic Flow.

This endpoint is the same as GET /flows/{id}/{relationship} except it returns just the related object's descriptor (type and id) instead of its full attributes.

Available relationships: group and flow_executions.

Examples

Get the descriptors of the executions related to a Flow.

import requests

object_id = "f2e7c4a0-1b2c-4d3e-8f90-abcdef012345"
relationship = "flow_executions"
limit = "10"
url = f"https://www.virustotal.com/api/v3/flows/{object_id}/relationships/{relationship}?limit={limit}"
headers = {"accept": "application/json", "x-apikey": <api-key>}
response = requests.get(url, headers=headers)
Path Params
string
required

Flow ID.

string
required

Relationship name: group or flow_executions.

Query Params
int32
0 to 40
Defaults to 10

Maximum number of related object descriptors to return.

string

Continuation cursor.

Headers
string
required

Your API key.

string

Optional. ID of the group whose API quota should be charged for the request. If omitted, the parent group's quota is used. Only relevant when your API key belongs to more than one group (multi-tenancy).

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json